﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.AppStyling;

namespace UltraTextEditorWithIGAppStyle
{
    public partial class Form1 : Form
    {

        private State group1;
        private State group2;
        private State group3;

        public Form1()
        {
            InitializeComponent();

            StyleManager.Load("..\\..\\IG.isl", false, "Style_1");
            StyleManager.Load("..\\..\\Metro.isl", false, "Style_2");
            StyleManager.Load("..\\..\\Nautilus.isl", false, "Style_3");
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraButton1.StyleLibraryName = "Style_1";
            ultraTextEditor1.StyleLibraryName = "Style_1";
            ultraNumericEditor1.StyleLibraryName = "Style_1";
            ultraCheckEditor1.StyleLibraryName = "Style_1";
            ultraComboEditor1.StyleLibraryName = "Style_1";
            ultraFormattedTextEditor1.StyleLibraryName = "Style_1";


            ultraButton2.StyleLibraryName = "Style_1";
            ultraTextEditor2.StyleLibraryName = "Style_1";
            ultraNumericEditor2.StyleLibraryName = "Style_1";
            ultraCheckEditor2.StyleLibraryName = "Style_1";
            ultraComboEditor2.StyleLibraryName = "Style_1";
            ultraFormattedTextEditor2.StyleLibraryName = "Style_1";

            ultraButton3.StyleLibraryName = "Style_3";
            ultraTextEditor3.StyleLibraryName = "Style_3";
            ultraNumericEditor3.StyleLibraryName = "Style_3";
            ultraCheckEditor3.StyleLibraryName = "Style_3";
            ultraComboEditor3.StyleLibraryName = "Style_3";
            ultraFormattedTextEditor3.StyleLibraryName = "Style_3";

            group1 = State.ReadOnlyState;
            group2 = State.ReadOnlyState;
            group3 = State.ReadOnlyState;
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            switch (group1)
            {
                case State.ReadOnlyState:
                    ultraFormattedTextEditor1.Text = ultraFormattedTextEditor1.Text.Replace("State: Default", "State: ReadOnly = True");
                    ultraTextEditor1.ReadOnly = true;
                    ultraNumericEditor1.ReadOnly = true;
                    ultraComboEditor1.ReadOnly = true;
                    ultraFormattedTextEditor1.ReadOnly = true;
                    group1 = State.EnabledFalseState;
                    break;
                case State.EnabledFalseState:
                    ultraFormattedTextEditor1.Text = ultraFormattedTextEditor1.Text.Replace("State: ReadOnly = True", "State: Enabled = False");
                    ultraTextEditor1.ReadOnly = false;
                    ultraNumericEditor1.ReadOnly = false;
                    ultraComboEditor1.ReadOnly = false;
                    ultraFormattedTextEditor1.ReadOnly = false;

                    ultraTextEditor1.Enabled = false;
                    ultraNumericEditor1.Enabled = false;
                    ultraComboEditor1.Enabled = false;
                    ultraFormattedTextEditor1.Enabled = false;
                    ultraCheckEditor1.Enabled = false;
                    group1 = State.DefaultState;
                    break;
                default:
                    ultraFormattedTextEditor1.Text = ultraFormattedTextEditor1.Text.Replace("State: Enabled = False", "State: Default");
                    ultraTextEditor1.ReadOnly = false;
                    ultraNumericEditor1.ReadOnly = false;
                    ultraComboEditor1.ReadOnly = false;
                    ultraFormattedTextEditor1.ReadOnly = false;

                    ultraTextEditor1.Enabled = true;
                    ultraNumericEditor1.Enabled = true;
                    ultraComboEditor1.Enabled = true;
                    ultraFormattedTextEditor1.Enabled = true;
                    ultraCheckEditor1.Enabled = true;
                    group1 = State.ReadOnlyState;
                    break;
            }
        }

        private void ultraButton2_Click(object sender, EventArgs e)
        {
            switch (group2)
            {
                case State.ReadOnlyState:
                    ultraFormattedTextEditor2.Text = ultraFormattedTextEditor2.Text.Replace("State: Default", "State: ReadOnly = True");
                    ultraTextEditor2.ReadOnly = true;
                    ultraNumericEditor2.ReadOnly = true;
                    ultraComboEditor2.ReadOnly = true;
                    ultraFormattedTextEditor2.ReadOnly = true;

                    ultraButton2.StyleLibraryName = "Style_2";
                    ultraTextEditor2.StyleLibraryName = "Style_2";
                    ultraNumericEditor2.StyleLibraryName = "Style_2";
                    ultraCheckEditor2.StyleLibraryName = "Style_2";
                    ultraComboEditor2.StyleLibraryName = "Style_2";
                    ultraFormattedTextEditor2.StyleLibraryName = "Style_2";


                    group2 = State.EnabledFalseState;
                    break;
                case State.EnabledFalseState:
                    ultraFormattedTextEditor2.Text = ultraFormattedTextEditor2.Text.Replace("State: ReadOnly = True", "State: Enabled = False");
                    ultraTextEditor2.ReadOnly = false;
                    ultraNumericEditor2.ReadOnly = false;
                    ultraComboEditor2.ReadOnly = false;
                    ultraFormattedTextEditor2.ReadOnly = false;

                    ultraTextEditor2.Enabled = false;
                    ultraNumericEditor2.Enabled = false;
                    ultraComboEditor2.Enabled = false;
                    ultraFormattedTextEditor2.Enabled = false;
                    ultraCheckEditor2.Enabled = false;

                    ultraButton2.StyleLibraryName = "Style_3";
                    ultraTextEditor2.StyleLibraryName = "Style_3";
                    ultraNumericEditor2.StyleLibraryName = "Style_3";
                    ultraCheckEditor2.StyleLibraryName = "Style_3";
                    ultraComboEditor2.StyleLibraryName = "Style_3";
                    ultraFormattedTextEditor2.StyleLibraryName = "Style_3";

                    group2 = State.DefaultState;
                    break;
                default:
                    ultraFormattedTextEditor2.Text = ultraFormattedTextEditor2.Text.Replace("State: Enabled = False", "State: Default");
                    ultraTextEditor2.ReadOnly = false;
                    ultraNumericEditor2.ReadOnly = false;
                    ultraComboEditor2.ReadOnly = false;
                    ultraFormattedTextEditor2.ReadOnly = false;

                    ultraTextEditor2.Enabled = true;
                    ultraNumericEditor2.Enabled = true;
                    ultraComboEditor2.Enabled = true;
                    ultraFormattedTextEditor2.Enabled = true;
                    ultraCheckEditor2.Enabled = true;

                    ultraButton2.StyleLibraryName = "Style_1";
                    ultraTextEditor2.StyleLibraryName = "Style_1";
                    ultraNumericEditor2.StyleLibraryName = "Style_1";
                    ultraCheckEditor2.StyleLibraryName = "Style_1";
                    ultraComboEditor2.StyleLibraryName = "Style_1";
                    ultraFormattedTextEditor2.StyleLibraryName = "Style_1";

                    group2 = State.ReadOnlyState;
                    break;
            }

        }

        private void ultraButton3_Click(object sender, EventArgs e)
        {
            switch (group3)
            {
                case State.ReadOnlyState:
                    ultraFormattedTextEditor3.Text = ultraFormattedTextEditor3.Text.Replace("State: Default", "State: ReadOnly = True");
                    ultraTextEditor3.ReadOnly = true;
                    ultraNumericEditor3.ReadOnly = true;
                    ultraComboEditor3.ReadOnly = true;
                    ultraFormattedTextEditor3.ReadOnly = true;

                    ultraTextEditor3.UseAppStyling = false;
                    ultraNumericEditor3.UseAppStyling = false;
                    ultraComboEditor3.UseAppStyling = false;
                    ultraFormattedTextEditor3.UseAppStyling = false;
                    ultraCheckEditor3.UseAppStyling = false;

                    ultraTextEditor3.Appearance.BackColor = Color.Yellow;
                    ultraNumericEditor3.Appearance.BackColor = Color.Yellow;
                    ultraComboEditor3.Appearance.BackColor = Color.Yellow;
                    ultraFormattedTextEditor3.Appearance.BackColor = Color.Yellow;
                    ultraCheckEditor3.Appearance.BackColor = Color.Yellow;

                    group3 = State.EnabledFalseState;
                    break;
                case State.EnabledFalseState:
                    ultraFormattedTextEditor3.Text = ultraFormattedTextEditor3.Text.Replace("State: ReadOnly = True", "State: Enabled = False");
                    ultraTextEditor3.ReadOnly = false;
                    ultraNumericEditor3.ReadOnly = false;
                    ultraComboEditor3.ReadOnly = false;
                    ultraFormattedTextEditor3.ReadOnly = false;

                    ultraTextEditor3.Enabled = false;
                    ultraNumericEditor3.Enabled = false;
                    ultraComboEditor3.Enabled = false;
                    ultraFormattedTextEditor3.Enabled = false;
                    ultraCheckEditor3.Enabled = false;

                    ultraTextEditor3.UseAppStyling = false;
                    ultraNumericEditor3.UseAppStyling = false;
                    ultraComboEditor3.UseAppStyling = false;
                    ultraFormattedTextEditor3.UseAppStyling = false;
                    ultraCheckEditor3.UseAppStyling = false;

                    group3 = State.DefaultState;
                    break;
                default:
                    ultraFormattedTextEditor3.Text = ultraFormattedTextEditor3.Text.Replace("State: Enabled = False", "State: Default");
                    ultraTextEditor3.ReadOnly = false;
                    ultraNumericEditor3.ReadOnly = false;
                    ultraComboEditor3.ReadOnly = false;
                    ultraFormattedTextEditor3.ReadOnly = false;

                    ultraTextEditor3.Enabled = true;
                    ultraNumericEditor3.Enabled = true;
                    ultraComboEditor3.Enabled = true;
                    ultraFormattedTextEditor3.Enabled = true;
                    ultraCheckEditor3.Enabled = true;


                    ultraTextEditor3.UseAppStyling = true;
                    ultraNumericEditor3.UseAppStyling = true;
                    ultraComboEditor3.UseAppStyling = true;
                    ultraFormattedTextEditor3.UseAppStyling = true;
                    ultraCheckEditor3.UseAppStyling = true;
                  
                    group3 = State.ReadOnlyState;
                    break;
            }
        }
    }

    public enum State
    {
        DefaultState,
        ReadOnlyState,
        EnabledFalseState
    }
}
